hpp-fcl: hpp::fcl::CollisionObject Class Reference

hpp-fcl 1.7.2 HPP fork of FCL -- The Flexible Collision Library

Public Member Functions | Protected Attributes | List of all members
hpp::fcl::CollisionObject Class Reference
Construction of BVHModel

the object for collision or distance computation, contains the geometry and the transform information More...

`#include <hpp/fcl/collision_object.h>`

## Public Member Functions
| CollisionObject (const shared_ptr< CollisionGeometry > &cgeom_)
| CollisionObject (const shared_ptr< CollisionGeometry > &cgeom_, const Transform3f &tf)
| CollisionObject (const shared_ptr< CollisionGeometry > &cgeom_, const Matrix3f &R, const Vec3f &T)
| ~CollisionObject ()
OBJECT_TYPE | getObjectType () const
| get the type of the object More...
NODE_TYPE | getNodeType () const
| get the node type More...
const AABB & | getAABB () const
| get the AABB in world space More...
void | computeAABB ()
| compute the AABB in world space More...
void * | getUserData () const
| get user data in object More...
void | setUserData (void *data)
| set user data in object More...
const Vec3f & | getTranslation () const
| get translation of the object More...
const Matrix3f & | getRotation () const
| get matrix rotation of the object More...
const Transform3f & | getTransform () const
| get object's transform More...
void | setRotation (const Matrix3f &R)
| set object's rotation matrix More...
void | setTranslation (const Vec3f &T)
| set object's translation More...
void | setTransform (const Matrix3f &R, const Vec3f &T)
| set object's transform More...
void | setTransform (const Transform3f &tf)
| set object's transform More...
bool | isIdentityTransform () const
| whether the object is in local coordinate More...
void | setIdentityTransform ()
| set the object in local coordinate More...
const shared_ptr< const CollisionGeometry > & | collisionGeometry () const
| get geometry from the object instance More...
const shared_ptr< CollisionGeometry > & | collisionGeometry ()
| get geometry from the object instance More...

## Protected Attributes
shared_ptr< CollisionGeometry > | cgeom
shared_ptr< const CollisionGeometry > | cgeom_const
Transform3f | t
AABB | aabb
| AABB in global coordinate. More...
void * | user_data
| pointer to user defined data specific to this object More...

## Detailed Description

the object for collision or distance computation, contains the geometry and the transform information

The documentation for this class was generated from the following file:

- include/hpp/fcl/collision_object.h